//==== 接腳定義 ====
#define TX     2   //HC-06藍芽TX
#define Buzzer 3   //蜂鳴器
#define RX     4   //HC-06藍芽RX
#define MR2    5   //右馬達輸入2
#define MR1    6   //右馬達輸入1
#define Trig   7   //SR-04超音波Trig
#define B2     7   //按鈕2
#define B1     8   //按鈕1
#define servo  9   //伺服機訊號腳
#define ML1    10  //左馬達輸入1
#define ML2    11  //左馬達輸入2
#define RGB    12  //RGB LED
#define B3     13  //按鈕3
#define Echo   13  //SR-04超音波Echo
#define VR     A0  //可變電阻
#define CDS_R  A1  //光敏電阻(右)
#define IR_RR  A2  //TCRT5000紅外線尋跡(最右)
#define IR_R   A3  //TCRT5000紅外線尋跡(右)
#define IR_L   A4  //TCRT5000紅外線尋跡(左)
#define IR_LL  A5  //TCRT5000紅外線尋跡(最左)
#define CDS_L  A6  //光敏電阻(左)
#define VinDet A7  //電池電壓偵測
//==================
#define LightL 150  //光線感度。為光明與黑暗的臨界值，超過此值表示處於黑暗，未達此值表示處於光明，可依現場照度調整
#define LightR 150  //光線感度
#define SpeedR 200  //馬達速度(0-255)
#define SpeedL 165  //馬達速度(0-255)

int CR,CL;
void setup()
{
  Serial.begin(9600); //啟用串列埠
  pinMode(CDS_R,INPUT);
  pinMode(CDS_L,INPUT);
  pinMode(VinDet,INPUT);
}

void loop()
{
  CR=analogRead(CDS_R);
  CL=analogRead(CDS_L);
  Serial.print("R:");
  Serial.println(CR);
  Serial.print("L:");
  Serial.println(CL);

  if(CR>LightR){
    analogWrite(MR1,SpeedR);  //右輪往前
    digitalWrite(MR2,LOW);
  }
  if(CL>LightL){
    analogWrite(ML1,SpeedL);  //左輪往前
    digitalWrite(ML2,LOW);
  }
  if(CR<=LightR){
    digitalWrite(MR1,LOW);
    digitalWrite(MR2,LOW);
  }
  if(CL<=LightL){
    digitalWrite(ML1,LOW);
    digitalWrite(ML2,LOW);
  }
  delay(1000);
}
