#include <Ultrasonic.h>
//==== 接腳定義 ====
#define MR2    5   //右馬達輸入2
#define MR1    6   //右馬達輸入1
#define Trig   7   //SR-04超音波Trig

#define ML1    10  //左馬達輸入1
#define ML2    11  //左馬達輸入2
#define RGB    12 
#define Echo   13  //SR-04超音波Echo

//==================
#define SpeedR 200  //馬達速度(0-255)
#define SpeedL 165  //馬達速度(0-255)

Ultrasonic ultrasonic(Trig,Echo);

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  pinMode(Trig,OUTPUT);
  pinMode(Echo,INPUT); 
  
  pinMode(MR1,OUTPUT);
  pinMode(MR2,OUTPUT);
  pinMode(ML1,OUTPUT);
  pinMode(ML2,OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  float cmMsec;
  delay(500); 
  long microsec = ultrasonic.timing();
  cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);
  Serial.print(cmMsec);
  Serial.println(" CM");
//  delay(100);

  if (cmMsec < 15)
  {
    Stopcar();
    Left();
    delay(500);
    Stopcar();
    delay(500);
  }
  else
  {
    Forward();
  }
}

void Forward(){
  analogWrite(MR1,SpeedR);
  digitalWrite(MR2,LOW);
  analogWrite(ML1,SpeedL);
  digitalWrite(ML2,LOW);
}

void Right(){
  digitalWrite(MR1,LOW);
  analogWrite(MR2,SpeedR);
  analogWrite(ML1,SpeedL);
  digitalWrite(ML2,LOW);
}

void Left(){
  analogWrite(MR1,SpeedR);
  digitalWrite(MR2,LOW);
  digitalWrite(ML1,LOW);
  analogWrite(ML2,SpeedL);
}

void Backward(){
  digitalWrite(MR1,LOW);
  analogWrite(MR2,SpeedR);
  digitalWrite(ML1,LOW);
  analogWrite(ML2,SpeedL);
}

void Stopcar(){
  digitalWrite(MR1,LOW);
  digitalWrite(MR2,LOW);
  digitalWrite(ML1,LOW);
  digitalWrite(ML2,LOW);
}
